#if defined _RevEmuAPI_included
 #endinput
#endif
#define _RevEmuAPI_included

/**
 * Check if clients usertype is legit.
 *
 * @param clients           The client index.
 *
 * @return                  True if valid, false otherwise.
 * @error                   Invalid client index, not connected or fake client.
 */
native bool RevEmu_IsPlayerSteam(int client);

/**
 * Retrieve clients usertype.
 *
 * @param clients           The client index.
 * @param type              The buffer to write to.
 * @param maxlength         The maximum buffer length.
 *
 * @return                  True on success, false otherwise.
 * @error                   Invalid client index, not connected or fake client.
 */
native bool RevEmu_GetPlayerType(int client, char[] type, int maxlength);


public Extension __ext_RevEmuAPI =
{
    name = "RevEmuAPI",
    file = "RevEmuAPI.ext",
#if defined AUTOLOAD_EXTENSIONS
    autoload = 1,
#else
    autoload = 0,
#endif
#if defined REQUIRE_EXTENSIONS
    required = 1,
#else
    required = 0,
#endif
};

#if !defined REQUIRE_EXTENSIONS
public __ext_RevEmuAPI_SetNTVOptional()
{
    MarkNativeAsOptional("RevEmu_IsPlayerSteam");
    MarkNativeAsOptional("RevEmu_GetPlayerType");
}
#endif
